<script setup>
import { ref } from 'vue'
import axios from 'axios'
import { CdxInfoChip } from '@wikimedia/codex';
import { cdxIconLabFlask } from '@wikimedia/codex-icons';
import router from '@/router';
import { useUserStore } from '../stores/userAuth.js';
const user = useUserStore();
const selection = ref( null );

function goHome() {
  router.push({ name: 'catalog'})
}

// The log out link will only be visible if a user is logged in. There is no view of a login link
// for a logged out user other than the full page single sign on (SSO) button. See App.vue's template.
function handleLogout() {
  axios.get('/logout')
    .then(function (response) {
      window.location = import.meta.env.VITE_IDP_LOGOUT_URL;
    }).catch(function (error) {
      console.log(error);
  });
}
</script>

<template>
  <div class="header">
    <div class="logo-header" @click="goHome">
      <img alt="MPIC logo" class="experiment-lab-logo" src="../assets/MP_logo.svg" />
      <span class="alpha">
        <cdx-info-chip :icon="cdxIconLabFlask">
          Alpha
        </cdx-info-chip>
      </span>
    </div>
    <div class="navigation">
      <div class="logout" v-if="user.isLoggedIn===true">
        <a class="cdx-docs-link" href="#" @click="handleLogout">Log out</a>
      </div>
      <div class="help">
        <a class="cdx-docs-link" href="https://wikitech.wikimedia.org/wiki/Metrics_Platform">Help</a>
      </div>
    </div>
  </div>
</template>

<style  lang="less">
@import ( reference ) '@wikimedia/codex-design-tokens/theme-wikimedia-ui.less';
@import ( reference ) '@wikimedia/codex/mixins/link.less';

.cdx-docs-link {
	.cdx-mixin-link();
}

.header {
  width: 100%;
  display: flex;
  justify-content: space-between;
  margin-bottom: 20px;
}

.logo-header,
.navigation {
  display: flex;
  align-items: center;
}

.logo-header {
  padding: 8px 0;
}

.logo-header .alpha {
  padding-left: 12px;
}

.logo-header:hover {
  cursor: pointer;
}

.title {
  font-weight: 500;
  font-size: 1.5rem;
  position: relative;
  padding-left: 10px;
}

.help {
  padding-left: 16px;
}
</style>
